## gap-tomlib 1r2p2

=== doc/Makefile ===

GAP=gap

gapdoc:
	@echo 'RequirePackage("gapdoc");; MakeGAPDocDoc( "./", "tomlib", ["../gap/tmadmin.tmd", "../gap/stdgen.gd"], "tomlib" );;' | $(GAP) -q -T

clean:
	@rm -f tomlib.aux tomlib.bbl tomlib.blg tomlib.idx tomlib.ilg tomlib.ind tomlib.log tomlib.pnr tomlib.tex tomlib.toc tomlib.br
	@rm -f *~


spotless: clean
	@rm -f manual.dvi manual.html manual.pdf manual.ps manual.six
	@rm -f chap*.html chap*.txt

=== debian/changelog ===
gap-tomlib (1r2p2-1) unstable; urgency=low

  * New upstream release
  * Use unpacked tarball now
    - debian/README.source: removed
  * debian/control: 
    - Bump Standards-Version to 3.9.4
    - Depends on ${misc:Depends}.
    - Build-Depends on gap, gap-gapdoc
  * debian/control, debian/compat:
    - Move to debhelper v5
  * debian/watch: added
  * debian/rules:
    - Build the documentation
    - Use dh_prep instead of dh_clean -k

 -- Bill Allombert <ballombe@debian.org>  Tue, 10 Sep 2013 13:57:15 +0200

gap-tomlib (1r1p4-1) unstable; urgency=low

  * New upstream release
  * debian/control: 
    - Bump Standards-Version to 3.8.0
    - Suggests: gap-character-tables
    - Move Homepage from description to the source section.
  * README.source: 
    - Move file to debian/README.source
    - Document how the tarball is built. 
  * debian/copyright:
    - Convert to UTF-8

 -- Bill Allombert <ballombe@debian.org>  Thu, 19 Feb 2009 11:54:02 +0100

gap-tomlib (1r1p2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.6.2

 -- Bill Allombert <ballombe@debian.org>  Fri,  1 Jul 2005 15:57:18 +0200

gap-tomlib (1r1-2) unstable; urgency=low

  * debian/rules: Compress all tom files to preserve (a lot of) diskspace.

 -- Bill Allombert <ballombe@debian.org>  Mon, 10 Jan 2005 17:56:37 +0100

gap-tomlib (1r1-1) unstable; urgency=low

  * New upstream version
  * Previous package was made native by mistake.
  * This release needs gap-libs (>=4r4).

 -- Bill Allombert <ballombe@debian.org>  Mon, 17 May 2004 23:31:39 +0200

gap-tomlib (1r0-1) unstable; urgency=low

  * Initial release. Closes: #219869.
  * This package is part of GAP.

 -- Bill Allombert <ballombe@debian.org>  Sun, 20 Apr 2003 12:07:47 +0200

=== debian/control ===
Source: gap-tomlib
Section: math
Priority: optional
Maintainer: Bill Allombert <ballombe@debian.org>
Build-Depends: debhelper (>> 5.0.0), gap (>=4r5), gap-gapdoc
Standards-Version: 3.9.4
Homepage: http://www.gap-system.org/

Package: gap-table-of-marks
Architecture: all
Provides: gap-pkg-tomlib
Depends: gap-libs (>= 4r4), ${misc:Depends}
Suggests: gap-character-tables
Description: GAP table of marks library
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.   In the example text, gap is used to
 analyse Rubik's Cube using group theory.  A kernel implements a Pascal-like
 language. 
 .
 This package contains the table of marks library by G. Pfeiffer and Th.
 Merkwitz.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rule for gap-tomlib
# GNU copyright 2003 by Bill Allombert
# Based on a sample by
# GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

build-arch: 
build-indep:
	make -C doc gapdoc
	rm -f doc/tomlib.brf doc/tomlib.out  doc/bib.xml.bib 
build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp
	make -C doc spotless
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install -X debian . usr/share/gap/pkg/tomlib
	chmod a-x debian/gap-table-of-marks/usr/share/gap/pkg/tomlib/doc/*
	gzip -r --best debian/gap-table-of-marks/usr/share/gap/pkg/tomlib/data/

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i 
	dh_installchangelogs  -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: 
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
ftp://ftp.gap-system.org/pub/gap/gap4/tar.bz2/packages/tomlib([0-9].*)\.tar\.bz2

## gap-tomlib 1r2p5

=== debian/changelog ===
gap-tomlib (1r2p5-2) unstable; urgency=low

  * debian/rules:
    - Use gzip --no-name 
    - Improve code for running the tests.
    - Implement notest DEB_BUILD_OPTIONS.
    - Remove spurious aux files from gapdoc.
  * debian/control:
    - Build-Depends on gap-atlasrep for running the tests.

 -- Bill Allombert <ballombe@debian.org>  Mon, 09 May 2016 17:29:10 +0200

gap-tomlib (1r2p5-1) unstable; urgency=low

  * New upstream release
  * New patch:
   - fix-ref: use relative path to references.
  * Update packaging to gap2deb style
  * gap-table-of-marks.doc-base.tomlib: added
  * debian/copyright: use new copyright format
  * debian/README.Debian: update
  * debian/control:
    - Bump Standards-Version to 3.9.7
    - Depends on gap-atlasrep
    - Build-Depends on tth, texlive-latex-extra, texlive-fonts-recommended
    - Update Description
  * debian/rules: run tests

 -- Bill Allombert <ballombe@debian.org>  Sun, 17 Apr 2016 13:28:27 +0200

=== debian/control ===
Source: gap-tomlib
Section: math
Priority: optional
Maintainer: Bill Allombert <ballombe@debian.org>
Build-Depends: debhelper (>=5), gap (>=4r5), gap-gapdoc, gap-atlasrep, tth, texlive-latex-extra, texlive-fonts-recommended
Standards-Version: 3.9.7
Homepage: http://www.gap-system.org/Packages/tomlib.html

Package: gap-table-of-marks
Provides: gap-pkg-tomlib
Depends: gap-libs (>= 4r4), gap-atlasrep, ${misc:Depends}
Suggests: gap-character-tables
Architecture: all
Description: GAP TomLib - The GAP Library of Tables of Marks
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the GAP Library of Tables of Marks by L. Naughton and G.
 Pfeiffer.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2016 Bill Allombert <ballombe@debian.org>

build-indep-stamp:
ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
	mkdir -p debian/gaproot/pkg
	ln -s ../../.. debian/gaproot/pkg/tomlib
	(cd tst && gap -q -l '../debian/gaproot;/usr/share/gap' < testall.g ) \
           | tee debian/gap.tst
	! grep "^########" debian/gap.tst
endif
	make -C doc gapdoc
	make -C doc clean
	rm -f doc/tomlib.brf doc/tomlib.out
	touch build-indep-stamp
build-arch: 
build-indep: build-indep-stamp
build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	make -C doc spotless
	rm -f doc/bib.xml.bib
	rm -f build-indep-stamp
	rm -rf debian/gaproot
	rm -f debian/gap.tst
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install -X Makefile -X README -X stamp -X debian -X tst -X .pc . usr/share/gap/pkg/tomlib
	chmod a-x debian/gap-table-of-marks/usr/share/gap/pkg/tomlib/doc/*
	gzip --no-name -r --best debian/gap-table-of-marks/usr/share/gap/pkg/tomlib/data/
	dh_installdocs README

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs  -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: 
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
opts=passive ftp://ftp.gap-system.org/pub/gap/gap4/tar.bz2/packages/tomlib([0-9].*)\.tar\.bz2 debian uupdate

## gap-tomlib 1r2p6

=== debian/changelog ===
gap-tomlib (1r2p6-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: switch from ftp to https
  * debian/control:
    - Bump Standards-Version to 4.1.3
  * debian/control, debian/compat:
    - switch to debhelper v9
  * debian/rules: implement DEB_BUILD_OPTION nocheck.
  * debian/copyright: Update URL and email

 -- Bill Allombert <ballombe@debian.org>  Mon, 19 Feb 2018 18:28:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Build-Depends: debhelper (>=5), gap (>=4r5), gap-gapdoc, gap-atlasrep, tth, texlive-latex-extra, texlive-fonts-recommended
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>=9), gap (>=4r5), gap-gapdoc, gap-atlasrep, tth, texlive-latex-extra, texlive-fonts-recommended
+Standards-Version: 4.1.3
 Homepage: http://www.gap-system.org/Packages/tomlib.html
 
 Package: gap-table-of-marks

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Copyright 2016 Bill Allombert <ballombe@debian.org>
 
 build-indep-stamp:
-ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p debian/gaproot/pkg
 	ln -s ../../.. debian/gaproot/pkg/tomlib
 	(cd tst && gap -q -l '../debian/gaproot;/usr/share/gap' < testall.g ) \

=== debian/watch ===
version=3
https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/tomlib([0-9].*)\.tar\.bz2 debian uupdate

## gap-tomlib 1.2.7

=== debian/changelog ===
gap-tomlib (1.2.7-2) unstable; urgency=medium

  * debian/links: Fix typo TomLib-> Tomlib. Closes: #919832

 -- Bill Allombert <ballombe@debian.org>  Sun, 20 Jan 2019 11:20:22 +0100

gap-tomlib (1.2.7-1) unstable; urgency=medium

  * New upstream release
    - remove obsolete patches
    - no more tomdiff changelog
    - install in /usr/share/gap/pkg/TomLib
  * debian/watch: add missing hyphen
  * debian/control:
    - Bump Standards-Version to 4.3.0
    - Add Build-Depends: gap-autodoc
    - Add Recommends: gap
  * debian/rules: make it compatible with gap2deb

 -- Bill Allombert <ballombe@debian.org>  Tue, 25 Dec 2018 00:37:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Build-Depends: debhelper (>=9), gap (>=4r5), gap-gapdoc, gap-atlasrep, tth, texlive-latex-extra, texlive-fonts-recommended
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>=9), gap (>=4r5), gap-gapdoc, gap-autodoc, gap-atlasrep, tth, texlive-latex-extra, texlive-fonts-recommended
+Standards-Version: 4.3.0
 Homepage: http://www.gap-system.org/Packages/tomlib.html
 
 Package: gap-table-of-marks
 Provides: gap-pkg-tomlib
-Depends: gap-libs (>= 4r4), gap-atlasrep, ${misc:Depends}
+Depends:  gap-atlasrep, ${misc:Depends}
+Recommends: gap
+Multi-Arch: foreign
 Suggests: gap-character-tables
 Architecture: all
 Description: GAP TomLib - The GAP Library of Tables of Marks

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2016 Bill Allombert <ballombe@debian.org>

export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
export FORCE_SOURCE_DATE=1
export LC_ALL = C

build-indep-stamp:
	mkdir -p debian/gaproot/pkg
	ln -s ../../.. debian/gaproot/pkg/TomLib
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	gap -q -l 'debian/gaproot;/usr/share/gap' < tst/testall.g | tee debian/gap.tst
	! grep "^########" debian/gap.tst
endif
	make -C doc gapdoc GAP="gap -l '../debian/gaproot;/usr/share/gap'"
	make -C doc clean
	rm -f doc/tomlib.brf doc/tomlib.out
	touch build-indep-stamp

build-indep: build-indep-stamp
build-arch:
build: build-indep

clean:
	dh_testdir
	dh_testroot
	make -C doc spotless
	rm -f doc/bib.xml.bib
	rm -f build-indep-stamp
	rm -rf debian/gaproot
	rm -f debian/gap.tst
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install *.g data gap doc usr/share/gap/pkg/TomLib
	gzip --no-name -r --best debian/gap-table-of-marks/usr/share/gap/pkg/TomLib/data/

binary-arch: build-arch
binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installdocs README.md
	dh_installexamples
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## gap-tomlib 1.2.8

=== debian/changelog ===
gap-tomlib (1.2.8-1) unstable; urgency=medium

  * New upstream release
  * New patch: add-tomdiff.tex: add missing source code
  * debian/control:
    - Bump Standards-Version to 4.4.0
  * debian/gap-table-of-marks.doc-base.tomlib: 
    - use links relative to /usr/share/doc
  * debian/copyright: update

 -- Bill Allombert <ballombe@debian.org>  Mon, 29 Jul 2019 17:52:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
 Build-Depends: debhelper (>=9), gap (>=4r5), gap-gapdoc, gap-autodoc, gap-atlasrep, tth, texlive-latex-extra, texlive-fonts-recommended
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://www.gap-system.org/Packages/tomlib.html
 
 Package: gap-table-of-marks

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Copyright 2016 Bill Allombert <ballombe@debian.org>
 
 export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
-export FORCE_SOURCE_DATE=1
+export FORCE_SOURCE_DATE = 1
 export LC_ALL = C
 
 build-indep-stamp:

=== debian/watch ===
version=3
https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/tomlib-([0-9].*)\.tar\.bz2 debian uupdate

## gap-tomlib 1.2.9

=== debian/changelog ===
gap-tomlib (1.2.9-2) unstable; urgency=medium

  * debian/control:
   - Bump Standards-Version to 4.6.0
   - Build-Depends on debhelper-compat (= 13)
   - Add Rules-Requires-Root: no
   - Homepage: use https
   - Build-Depends on gap-doc to get correct links
  * debian/watch, debian/copyright: update for new URL
  * debian/rules: doc: force relative links

 -- Bill Allombert <ballombe@debian.org>  Fri, 16 Sep 2022 17:18:57 +0200

gap-tomlib (1.2.9-1) unstable; urgency=medium

  * New upstream release
  * patch doc-makefile: install manual.lab
  * debian/watch:
     - Move from https://www.gap-system.org/pub/gap to
                 https://files.gap-system.org
  * debian/rules:
   - README renamed README.md
   - build doc using makedoc.g
  * debian/control:
   - Bump Standards-Version to 4.5.0
   - Build-Depends on debhelper-compat (= 12)
  * debian/compat: removed

 -- Bill Allombert <ballombe@debian.org>  Tue, 21 Apr 2020 10:38:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Build-Depends: debhelper (>=9), gap (>=4r5), gap-gapdoc, gap-autodoc, gap-atlasrep, tth, texlive-latex-extra, texlive-fonts-recommended
-Standards-Version: 4.4.0
-Homepage: http://www.gap-system.org/Packages/tomlib.html
+Build-Depends: debhelper-compat (= 13), gap (>=4r5), gap-doc, gap-gapdoc, gap-autodoc, gap-atlasrep, tth, texlive-latex-extra, texlive-fonts-recommended
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Homepage: https://www.gap-system.org/Packages/tomlib.html
 
 Package: gap-table-of-marks
 Provides: gap-pkg-tomlib
 Depends:  gap-atlasrep, ${misc:Depends}
 Recommends: gap
+Suggests: gap-character-tables
 Multi-Arch: foreign
-Suggests: gap-character-tables
 Architecture: all
 Description: GAP TomLib - The GAP Library of Tables of Marks
  GAP is a system for computational discrete algebra, with particular emphasis

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 	gap -q -l 'debian/gaproot;/usr/share/gap' < tst/testall.g | tee debian/gap.tst
 	! grep "^########" debian/gap.tst
 endif
-	make -C doc gapdoc GAP="gap -l '../debian/gaproot;/usr/share/gap'"
+	echo 'PushOptions(rec(relativePath:=true)); Read("makedoc.g");' \
+	| gap -q -l 'debian/gaproot;/usr/share/gap'
 	make -C doc clean
 	rm -f doc/tomlib.brf doc/tomlib.out
 	touch build-indep-stamp
@@ -25,7 +26,7 @@
 	dh_testdir
 	dh_testroot
 	make -C doc spotless
-	rm -f doc/bib.xml.bib
+	rm -f doc/bib.xml.bib doc/mathjax doc/manual.lab
 	rm -f build-indep-stamp
 	rm -rf debian/gaproot
 	rm -f debian/gap.tst

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?([\.\d]+)\.tar\.gz/tomlib-$1\.tar\.gz/,\
downloadurlmangle=s/archive\/refs\/tags\/v([\.\d]+)\.tar\.gz/releases\/download\/v$1\/tomlib-$1\.tar\.gz/ \
  https://github.com/gap-packages/tomlib/tags .*/v?([\.\d]+)\.tar\.gz debian uupdate

## gap-tomlib 1.2.11

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-GAP=gap
+GAP=gap4 -r
 
 gapdoc:
 	@echo 'RequirePackage("gapdoc");; MakeGAPDocDoc( "./", "tomlib", ["../gap/tmadmin.tmd", "../gap/stdgen.gd"], "tomlib" );;' | $(GAP) -q -T

=== debian/changelog ===
gap-tomlib (1.2.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: fix clean target. Closes: #1044552
  * debian/control:
   - Bump Standards-Version to 4.6.2

 -- Bill Allombert <ballombe@debian.org>  Fri, 02 Feb 2024 20:28:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
 Build-Depends: debhelper-compat (= 13), gap (>=4r5), gap-doc, gap-gapdoc, gap-autodoc, gap-atlasrep, tth, texlive-latex-extra, texlive-fonts-recommended
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.gap-system.org/Packages/tomlib.html

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,7 @@
 	rm -f build-indep-stamp
 	rm -rf debian/gaproot
 	rm -f debian/gap.tst
+	rm -f doc/_entities.xml doc/manual.js doc/title.xml
 	dh_clean
 
 install: build
